Subject: [Acme] Hyphens in parameter names of ACME CAA extensions

From: Ivan Vyshnevskyi <[email-masked]>
Date: Thu, 18 Jan 2018 16:56:05 +0200

Hi,

According to the grammar for value of the CAA issue property, that is defined in
the section 5.2 of RFC6844[1], the parameter name (there called “tag”) consists
of one or more alphanumeric characters. The most current version of
the draft-ietf-acme-caa[2] introduces two parameter names with hyphens
in them: “account-uri” and “validation-methods”.

Was this discrepancy discussed before? Is there a plan to resolve it?

Regards,
Ivan

[1]: https://tools.ietf.org/html/rfc6844#section-5.2
[2]: https://tools.ietf.org/html/draft-ietf-acme-caa-03

---

From: Jacob Hoffman-Andrews <[email-masked]>
Date: Thu, 18 Jan 2018 16:46:52 -0800

I don't think that's been discussed before. I think it's reasonable to
adjust "account-uri" to "accounturi" and "validation-methods" to
"validationmethods" to stick with RFC6844's definitions.

On 01/18/2018 06:56 AM, Ivan Vyshnevskyi wrote:
> _______________________________________________
> Acme mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/acme

---

From: Corey Bonnell <[email-masked]>
Date: Fri, 19 Jan 2018 13:18:50 +0000

There is an IETF erratum for RFC 6844 (specifically, erratum 5200: https://www.rfc-editor.org/errata/eid5200) regarding a contradiction about which character is used as a parameter delimiter in "issue"/"issuewild" property tags (section 3 defines the parameter delimiter as a semicolon, whereas section 5.2 defines it as whitespace). Given that the RFC in its current state is contradictory, I imagine this is something that should be resolved before any proposals regarding parameters are finalized.

I proposed a fix to the ABNF grammar on the LAMPS WG mailing list last month to make the parameter delimiter defined in section 5.2 align with section 3: https://www.ietf.org/mail-archive/web/spasm/current/msg01073.html. It would be trivial to modify this grammar to allow for hyphens to appear in parameter tags. Allowing for the use hyphens in tags would be win in terms of human readability of CAA records, as I believe "validation-methods" is much more readable than "validationmethods", etc.

Thanks,
Corey

Corey Bonnell
Senior Software Engineer
t: +1 412.395.2233

Trustwave | SMART SECURITY ON DEMAND

On 1/18/18, 7:47 PM, "Acme on behalf of Jacob Hoffman-Andrews" <[email-masked] on behalf of [email-masked]> wrote:

    On 01/18/2018 06:56 AM, Ivan Vyshnevskyi wrote:
    > [1]: https://scanmail.trustwave.com/?c=4062&d=hcDh2k_3IAMjh0nijx3Ip1gY1VC-548bPX2OlnrCzQ&s=5&u=https%3a%2f%2ftools%2eietf%2eorg%2fhtml%2frfc6844%23section-5%2e2
    > [2]: https://scanmail.trustwave.com/?c=4062&d=hcDh2k_3IAMjh0nijx3Ip1gY1VC-548bPX3SnnvOkA&s=5&u=https%3a%2f%2ftools%2eietf%2eorg%2fhtml%2fdraft-ietf-acme-caa-03
    >
    > https://scanmail.trustwave.com/?c=4062&d=hcDh2k_3IAMjh0nijx3Ip1gY1VC-548bPSvfn3DDxg&s=5&u=https%3a%2f%2fwww%2eietf%2eorg%2fmailman%2flistinfo%2facme
    
    _______________________________________________
    Acme mailing list
    [email-masked]
    https://scanmail.trustwave.com/?c=4062&d=hcDh2k_3IAMjh0nijx3Ip1gY1VC-548bPSvfn3DDxg&s=5&u=https%3a%2f%2fwww%2eietf%2eorg%2fmailman%2flistinfo%2facme

---

From: Tim Hollebeek <[email-masked]>
Date: Fri, 19 Jan 2018 15:13:45 +0000

I agree with Corey about the readability of hyphens.  Also, I fully support his
 fix to the RFC 6844 grammar.  The current grammar is a mess.

The implementation of CAA by major CAs has revealed a large number of
serious defects with the current text of RFC 6844, and I think it's time for a 
RFC 6844-bis effort.

-Tim

> -----Original Message-----
> From: Acme [mailto:[email-masked]] On Behalf Of Corey Bonnell
> Sent: Friday, January 19, 2018 6:19 AM
> To: Jacob Hoffman-Andrews <[email-masked]>; Ivan Vyshnevskyi
> <[email-masked]>; [email-masked]
> Subject: Re: [Acme] Hyphens in parameter names of ACME CAA extensions
> 
> There is an IETF erratum for RFC 6844 (specifically, erratum 5200:
> https://www.rfc-editor.org/errata/eid5200) regarding a contradiction about
> which character is used as a parameter delimiter in "issue"/"issuewild"
> property tags (section 3 defines the parameter delimiter as a semicolon,
> whereas section 5.2 defines it as whitespace). Given that the RFC in its current
> state is contradictory, I imagine this is something that should be resolved
> before any proposals regarding parameters are finalized.
> 
> I proposed a fix to the ABNF grammar on the LAMPS WG mailing list last month
> to make the parameter delimiter defined in section 5.2 align with section 3:
> https://www.ietf.org/mail-archive/web/spasm/current/msg01073.html. It
> would be trivial to modify this grammar to allow for hyphens to appear in
> parameter tags. Allowing for the use hyphens in tags would be win in terms of
> human readability of CAA records, as I believe "validation-methods" is much
> more readable than "validationmethods", etc.
> 
> Thanks,
> Corey
> 
> 
> Corey Bonnell
> Senior Software Engineer
> t: +1 412.395.2233
> 
> On 1/18/18, 7:47 PM, "Acme on behalf of Jacob Hoffman-Andrews" <acme-
> [email-masked] on behalf of [email-masked]> wrote:
> 
>     > [1]:
> https://scanmail.trustwave.com/?c=4062&d=hcDh2k_3IAMjh0nijx3Ip1gY1VC-
> 548bPX2OlnrCzQ&s=5&u=https%3a%2f%2ftools%2eietf%2eorg%2fhtml%2frfc
> 6844%23section-5%2e2
>     > [2]:
> https://scanmail.trustwave.com/?c=4062&d=hcDh2k_3IAMjh0nijx3Ip1gY1VC-
> 548bPX3SnnvOkA&s=5&u=https%3a%2f%2ftools%2eietf%2eorg%2fhtml%2fdr
> aft-ietf-acme-caa-03
>     >
> https://scanmail.trustwave.com/?c=4062&d=hcDh2k_3IAMjh0nijx3Ip1gY1VC-
> 548bPSvfn3DDxg&s=5&u=https%3a%2f%2fwww%2eietf%2eorg%2fmailman%
> 2flistinfo%2facme
> 
> https://scanmail.trustwave.com/?c=4062&d=hcDh2k_3IAMjh0nijx3Ip1gY1VC-
> 548bPSvfn3DDxg&s=5&u=https%3a%2f%2fwww%2eietf%2eorg%2fmailman%
> 2flistinfo%2facme
> 
>

---

From: "Salz, Rich" <[email-masked]>
Date: Fri, 19 Jan 2018 15:17:53 +0000

➢ The implementation of CAA by major CAs has revealed a large number of
    serious defects with the current text of RFC 6844, and I think it's time for a 
    RFC 6844-bis effort.

This is happening, in the LAMPS working group.  Phil Hallam-Baker has stepped up.

---

From: Tim Hollebeek <[email-masked]>
Date: Fri, 19 Jan 2018 15:33:34 +0000

Okay, then it needs to accelerate 😊

I'm on that WG and I haven't seen any related traffic recently.  Maybe I'll poke Phil.

-Tim

> From: Salz, Rich [mailto:[email-masked]]
> Sent: Friday, January 19, 2018 8:18 AM
> To: Tim Hollebeek <[email-masked]>; Corey Bonnell
> <[email-masked]>; Jacob Hoffman-Andrews <[email-masked]>; Ivan
> Vyshnevskyi <[email-masked]>; [email-masked]

---

From: Ivan Vyshnevskyi <[email-masked]>
Date: Mon, 22 Jan 2018 13:20:11 +0200

Thanks for all your responses! I’m glad to hear this is something that is
going to be fixed.

>From the user point of view (e.g. me) tags with hyphens, of course,
are more readable. But, if case is insignificant, ‘accountURI’ and
‘validationMethods’ are ok too.

And, yes, I saw the erratum 5200. In fact, my next question was going
to be about semicolons in the Examples section. Now, I guess, I'll just
follow the progress on the updated CAA RFC.

Regards,
Ivan